<?php
require_once("../../includes/bootstrap.php");
$sesion = new sesion();
//---------------
//cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

$academia = bootstrap::initBd($sesion->getVar("anio"));
?>
<script>
    $(function() {
        var chart = null;
        var rutModulo = "mod_estadisticas/num_estudxgrupo/";
        var tmplSubtitle = '<strong>Sede:</strong> {0} <strong>Jornada:</strong> {1} <strong>Año Lectivo:</strong> {2}';
        var objSedes, objJornada;
        var optionsChart = {
            chart: {
                renderTo: 'cont_estk_nuestxgrp',
                type: 'column',
            },
            title: {
                text: 'CANTIDAD ESTUDIANTES MATRICULADOS POR GRUPO'
            },
            subtitle: {
                text: ''
            },
            xAxis: {
                categories: [],
                title: {
                    text: null
                },
                labels: {
                    rotation: -90,
                    align: 'right',
                    style: {
                        fontSize: '10px',
                        fontFamily: 'Verdana, sans-serif'
                    }
                }
            },
            yAxis: {
                min: 0,
                title: {
                    text: 'Número de estudiantes',
                },
                labels: {
                    overflow: 'justify'
                }
            },
            tooltip: {
                formatter: function() {
                    return '' +
                            this.x + ' <br> Estudiantes:<b>' + this.y + "<b>";
                }
            },
            plotOptions: {
                column: {
                    dataLabels: {
                        enabled: true
                    },
                }
            },
            legend: {
                enabled: false
            },
            credits: {
                enabled: true
            },
            series: []
        }

        $(document).ready(function() {
            var total_por = 0;
            var gr = null;
            var ide_act;

            /*//-----------------------------------------------------------------------------------------------------*/
            objSedes = $("#md_n_txtsedes");
            objJornada = $("#md_n_txtjornadas");
            objSedes.change(function() {
                cd_sede = $(this).val();
                dt = {cod_cnds: cd_sede, codigo: 'b1', mopc: '0'}
                $.ajax({
                    type: "POST",
                    url: "includes/cargar_selec_normal.php",
                    data: dt,
                    success: function(dt) {
                        $("#md_n_txtjornadas").html(dt);
                        $("#md_n_txtjornadas").trigger("change");
                    },
                });
            }).trigger("change");

            /*//-----------------------------------------------------------------------------------------------------*/

            objJornada.change(function() {
                var jor = $(this).val();
                cargaDtsGrafico();
            });
        });

        function cargaDtsGrafico() {
            $.ajax({
                url: rutModulo + "list_numestxgrup.php",
                data: {
                    sede: objSedes.val(),
                    jorn: objJornada.val(),
                },
                async: false,
                success: function(rta) {
                    if (chart) {
                        chart.destroy();
                    }
                    rta = $.parseJSON(rta);
                    optionsChart.subtitle.text = $.formatMsg(tmplSubtitle, [$("option:selected", objSedes).text().ucwords(), $("option:selected", objJornada).text().ucwords(), '<?php echo $sesion->getVar("anio") ?>']);
                    optionsChart.series = rta.series;
                    optionsChart.xAxis.categories = rta.category;
                    chart = new Highcharts.Chart(optionsChart);
                }
            });
        }

    });
</script>

<table align="center" width="100%">
    <tr>
        <td colspan="2" align="center">
            <table align="center">
                <tr clas class="tit1">
                    <td><?php echo $dtsLang[globals][name_sede] ?></td>
                    <td><?php echo $dtsLang[globals][name_jornada] ?></td>
                    <td><?php echo $dtsLang['global']['grupos'] ?></td>
                </tr>
                <tr>
                    <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
<?php
if ($cd_docente != "") {
    $sql = "SELECT adm_sedes.cod_sede , adm_sedes.nom_sede FROM aca_asignaturasxgrupos 
							INNER JOIN aca_grupos ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
							INNER JOIN adm_sedes ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
						WHERE (aca_asignaturasxgrupos.cod_profesor='$cd_docente') GROUP BY adm_sedes.cod_sede";
} else {
    $sql = "SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
}


$academia->instruccion($sql);
while ($reg = $academia->extraer_registro()) {
    echo "<option value='" . $reg[cod_sede] . "' nomsede='" . $reg[nom_sede] . "' aux='$cmpaux2' >" . $reg[nom_sede] . "</option>";
}
$academia->liberar();
?>
                        </select></td>
                    <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
                            <option value="0x">Seleccionar...</option>
                            <?php ?>
                        </select></td>
                </tr>
            </table></td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <div id="cont_estk_nuestxgrp" style="width:900px; height: 500px"></div>
        </td>
    </tr>
</table>
